package com.logicbig.example;

import org.springframework.context.support.ResourceBundleMessageSource;
import org.springframework.validation.BeanPropertyBindingResult;
import org.springframework.validation.ValidationUtils;
import java.math.BigDecimal;
import java.util.Locale;

public class ValidatorExample2 {

    public static void main(String[] args) {

        ResourceBundleMessageSource messageSource = new ResourceBundleMessageSource();
        messageSource.setBasename("ValidationMessages");

        Order order = new Order();
        order.setPrice(BigDecimal.ZERO);
        BeanPropertyBindingResult result = new BeanPropertyBindingResult(order, "order");
        ValidationUtils.invokeValidator(new OrderValidator(), order, result);
        if (result.getAllErrors().size() > 0) {
            result.getAllErrors().stream().
                    forEach(e -> System.err.println(messageSource.getMessage(e, Locale.US)));
        } else {
            System.out.println("No Validation errors");
        }
    }
}